[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: PHP 4.0.5 and OpenLDAP 2.x problems

The problem is that you have to link Apache against libpthread. That fixes the


Stig Venaas wrote:

> On Thu, May 03, 2001 at 02:11:24PM -0400, Edwin Chiu wrote:
> > I get a Segfault on the children Apache tries to startup when I try to startup
> > Apache. I'm not sure how to get a corefile out of it. But, it seems that
> > OpenLDAP 1.x works fine, but if I use OpenLDAP 2.x with PHP 4.0.5, it bombs out
> > at startup.
> >
> > Anyone have any success with PHP 4.0.x and OpenLDAP 2.x?
> Yes. To see what happens I would try to compile PHP stand-alone (not
> part of Apache) and see if that helps. If it fails you might try gdb
> or something to see what happens. You could also try PHP 4.0.4 perhaps.
> I think this question is more appropriate for the PHP lists, you might
> get more help there.
> Stig